Subject: Re: bug#18767: 24.4; incorrect byte-compile on arithmatic comparisons

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Oct 2014 09:39:27 -0400

> I think your change of reversion will cause byte-compile error when
> more than two args are specified.

No errors, but yes, warnings.

>> loop over all args, doing "byte-compile-form" + "dup", and then apply
>> the comparisons backward, combining them with "and".
> Alternative is, If non-first args are all constants or simple
> reference, fold them with AND, otherwise call them at once by
> byte-compile-normal-call.

I guess that's OK, indeed.
I was worried that (<= 1 0 "a" nil) would return nil rather than
signal an error, but I see that this is already the case if you use
a normal call.  I installed your patch (except, using `cl-every').
Thank you,

        Stefan